# PapercutService

> The PapercutService methods and their request and response messages.

Source: https://engramsfactory.com/docs/api/papercut/

Generated from [`papercut.proto`](https://github.com/cortexapps/engrams/blob/main/crates/engram-protocol/proto/engram/app/v1/papercut.proto). Every method is
`POST /rpc/engram.app.v1.PapercutService/<Method>` with a JSON or protobuf body and an
`x-api-key` header.

## Methods

| Method | Request | Response |
|---|---|---|
| `ListPapercuts` | [`ListPapercutsRequest`](#listpapercutsrequest) | [`ListPapercutsResponse`](#listpapercutsresponse) |
| `ArchivePapercut` | [`ArchivePapercutRequest`](#archivepapercutrequest) | [`ArchivePapercutResponse`](#archivepapercutresponse) |
| `UnarchivePapercut` | [`UnarchivePapercutRequest`](#unarchivepapercutrequest) | [`UnarchivePapercutResponse`](#unarchivepapercutresponse) |

## Messages

### ArchivePapercutRequest

| Field | Type |
|---|---|
| `id` | `string` |

### ArchivePapercutResponse

| Field | Type |
|---|---|
| `papercut` | [`Papercut`](#papercut) |

### ListPapercutsRequest

| Field | Type |
|---|---|
| `include_archived` | `bool` |

### ListPapercutsResponse

| Field | Type |
|---|---|
| `papercuts` | repeated [`Papercut`](#papercut) |

### Papercut

| Field | Type |
|---|---|
| `id` | `string` |
| `summary` | `string` |
| `description` | `string` |
| `category` | `string` |
| `severity` | `string` |
| `tags` | repeated `string` |
| `session_id` | `string` |
| `task_id` | `string` |
| `archived` | `bool` |
| `created_at` | `google.protobuf.Timestamp` |
| `profile` | `ProfileSnapshot` |

### UnarchivePapercutRequest

| Field | Type |
|---|---|
| `id` | `string` |

### UnarchivePapercutResponse

| Field | Type |
|---|---|
| `papercut` | [`Papercut`](#papercut) |
